package ru.landgrafhomyak.serdha.api.v0.ddl

public interface Table<UserExtension : Any, PreviousUserExtension : Any> {
	public val userExtension: UserExtension
	public val name: String
	public val module: Module<*>

	public enum class TemporaryType {
		TRANSACTION_SCOPE,
		CONNECTION_SCOPE
	}

	public val temporaryType: TemporaryType?

	public val namespacesFromModuleRoot: List<String>
}